Subject: Re: [netlmm] FW: I-D Action:draft-ietf-netlmm-lma-discovery-04.txt

From: Xiangsong Cui <[email-masked]>
Date: Tue, 08 Jun 2010 11:39:30 +0800

Hello,
I have read the draft and have following comments.

Technological comments:

1, I am also against any L2 based or MN based solution in this draft,
    I remember I had a long discussion with the authors and expressed 
    the reason last year.

2, I think section 4 DNS considerations needs more clarification.
    I don't understand "Low TTL values increase the number of DNS
    queries considerably", and "the PMIPv6 domain LMA availability 
    or load information is dynamically updated into the DNS", and 
    "Typically AAA infrastructure is used for exchanging information 
     between the LMA and the Policy Store" and some others. 
    What is the relation between TTL and LMA discovery consistency? 
    How LMA load information is updated into the DNS/Policy Store? 
    these problems are not described in this draft.

3, The reference of RFC5149. I agree on selecting a LMA based on 
    desired service, but RFC5149 is used between MN and HA, or even
    between MAG and LMA. The time is after the LMA has been selected, 
    I mean LMA discovery happens before RFC5149 is involved.
    I guess maybe some Radius or Diameter extension is better reference?
    So the AAA server can select a LMA by the desired service.

4, "Once the MAG receives the LMA IP address(es), it sends Proxy Binding"
    I am not sure does this make sense. As to the handover, if the old MAG 
    can not transfer context to the new MAG, and the AAA responds multiple
    LMA addresses to the new MAG, how can the new MAG select the right
    LMA address (i.e. the one which is selected by the old MAG) from the list?
    If the context can be transferred to the new MAG, the new MAG does not
    need LMA discovery at that time.

Editorial comment:

section 2.1
After the MN has successfully authenticated for the network access
/After the MN has been successfully authenticated for the network access

Regards,
Xiangsong

----- Original Message ----- 
From: "Soininen, Jonne (NSN-FI/Espoo)" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, May 27, 2010 5:11 PM
Subject: [netlmm] FW: I-D Action:draft-ietf-netlmm-lma-discovery-04.txt

> Hello,
> 
> Jouni has published a new version of the LMA discovery document. Please,
> take a look to see if this version is acceptable for publishing as an RFC.
> 
> Cheers,
> 
> Jonne.
> ------ Forwarded Message
>> From: "ext [email-masked]" <[email-masked]>
>> Reply-To: <[email-masked]>
>> Date: Mon, 24 May 2010 08:00:01 -0700 (PDT)
>> To: <[email-masked]>
>> Cc: "[email-masked]" <[email-masked]>
>> Subject: I-D Action:draft-ietf-netlmm-lma-discovery-04.txt
>> 
>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories.
>> This draft is a work item of the Network-based Localized Mobility Management
>> Working Group of the IETF.
>> 
>> 
>> Title           : LMA Discovery for Proxy Mobile IPv6
>> Author(s)       : J. Korhonen, V. Devarapalli
>> Filename        : draft-ietf-netlmm-lma-discovery-04.txt
>> Pages           : 10
>> Date            : 2010-05-24
>> 
>> Large Proxy Mobile IPv6 deployments would benefit from a
>> functionality, where a Mobile Access Gateway could dynamically
>> discover a Local Mobility Anchor for a Mobile Node attaching to a
>> Proxy Mobile IPv6 domain.  The purpose of the dynamic discovery
>> functionality is to reduce the amount of static configuration in the
>> Mobile Access Gateway.  This document describes several possible
>> dynamic Local Mobility Anchor discovery solutions.
>> 
>> A URL for this Internet-Draft is:
>> http://www.ietf.org/internet-drafts/draft-ietf-netlmm-lma-discovery-04.txt
>> 
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>> 
>> Below is the data which will enable a MIME compliant mail reader
>> implementation to automatically retrieve the ASCII version of the
>> Internet-Draft.
>> _______________________________________________
>> I-D-Announce mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/i-d-announce
>> Internet-Draft directories: http://www.ietf.org/shadow.html
>> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> ------ End of Forwarded Message
> 
>

--------------------------------------------------------------------------------

> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netlmm
>